package kr.co.hanwha.hifive.data.model;

import java.util.ArrayList;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public class MessageListRoot extends BaseData {
    ArrayList<MessageListData> listRequestMessagesResult;

    /**
     * 마지막 페이지
     */
    int finalPageNo;
    /**
     * 총 메세지 개수
     */
    int countOfTotalRecords;
    /**
     * 다음 페이지
     */
    int nextPageNo;
    /**
     * 요청한 페이지
     */
    int currentPageNo;

    public ArrayList<MessageListData> getListRequestMessagesResult() {
        return listRequestMessagesResult;
    }

    public int getFinalPageNo() {
        return finalPageNo;
    }

    public int getCountOfTotalRecords() {
        return countOfTotalRecords;
    }

    public int getNextPageNo() {
        return nextPageNo;
    }

    public int getCurrentPageNo() {
        return currentPageNo;
    }
}
